Criar vendedor

posthttps://sandbox-api.rebornpay.io/v1/sellersAuth obrigatória

Headers

X-Api-Keystringrequired

API Key do seller (header)

Body

application/json
legalNamestringrequired
fantasyNamestringoptional
documentTypeenumrequired
documentNumberstringrequired
emailstringrequired
addressobjectrequired
streetstringrequired
numberstringrequired
complementstringoptional
neighborhoodstringrequired
citystringrequired
statestringrequired
zipCodestringrequired
countrystringrequired
bankAccountobjectrequired
bankCodestringrequired
agencyNumberstringrequired
accountNumberstringrequired
accountDigitstringoptional
accountTypeenumrequired
pixKeystringoptional
pixKeyTypeenumoptional
transferTypeenumrequired

Meio de liquidação/saque do vendedor. PIX usa a chave PIX; TED usa a conta bancária.

accountHolderNamestringrequired
accountHolderDocumentstringrequired
businessInfoobjectrequired
mccstringoptional
cnaestringoptional
businessTypestringoptional
websiteUrlstringoptional
webhooksobject
urlstringrequired
eventTypesarrayrequired

Nenhum item adicionado.

isActivebooleanoptional
secretstringoptional
descriptionstringoptional
paymentMethodsarrayrequired

Nenhum item adicionado.

feePlanIdstring · uuidrequired

Company-owned fee plan ID (BR or the only plan)

internationalFeePlanIdstring · uuidoptional

Optional INTERNATIONAL plan for hybrid gateways

Responses

200OK
idstring · uuidrequired
legalNamestringrequired
fantasyNamestringoptional
documentNumberstringrequired
emailstringrequired
statusstring · enumrequired
DRAFTPENDINGACTIVESUSPENDEDBLOCKED
paymentMethodsarrayrequired
feePlanIdstring · uuidoptional

Company-owned BR fee plan assigned to this sub-seller

internationalFeePlanIdstring · uuidoptional

INTERNATIONAL plan when the gateway prices BR and Stripe separately

webhooksarrayrequired
idstring · uuidrequired

UUID do webhook

Example: 3fa85f64-5717-4562-b3fc-2c963f66afa6

sellerIdstring · uuidrequired

UUID do seller

Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890

urlstringrequired

URL que recebe as notificações

Example: https://seuservidor.com/webhooks/rebornpay

eventTypesarrayrequired

Tipos de evento configurados

Example: ["TRANSACTION_PAID","TRANSACTION_CANCELLED"]

isActivebooleanrequired

Indica se o webhook está ativo

Example: true

descriptionstringoptional

Descrição interna do webhook

Example: Webhook de produção — ERP

createdAtstring · date-timerequired

Data de criação (UTC)

updatedAtstring · date-timerequired

Data da última atualização (UTC)

apiKeystringoptional

API key gerada para o seller — exibida apenas na criação, não é possível recuperá-la depois

createdAtstring · date-timerequired
curl -X POST 'https://sandbox-api.rebornpay.io/v1/sellers' \  -H 'X-Api-Key: $API_KEY' \  -H 'Content-Type: application/json'
200Response example
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "legalName": "string",
  "fantasyName": "string",
  "documentNumber": "string",
  "email": "string",
  "status": "DRAFT",
  "paymentMethods": [
    "CREDIT_CARD"
  ],
  "feePlanId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "internationalFeePlanId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "webhooks": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "sellerId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "url": "https://seuservidor.com/webhooks/rebornpay",
      "eventTypes": [
        "TRANSACTION_PAID",
        "TRANSACTION_CANCELLED"
      ],
      "isActive": true,
      "description": "Webhook de produção — ERP",
      "createdAt": "2025-01-15T10:30:00Z",
      "updatedAt": "2025-01-15T10:30:00Z"
    }
  ],
  "apiKey": "string",
  "createdAt": "2025-01-15T10:30:00Z"
}